Subject: Ticket Assigned - 9576946183 late delivery
From: Home Box <[email-masked]>
To: [email-masked]
Date: Tue, 05 Jul 2022 14:26:26 +0000

Hi Alhamzi Mohammed,  A new ticket has been assigned to you. Please follow the link below to view the ticket.  9576946183 late delivery AJ                    Hi           06:05 PM, 05th Jul                   New                   Thank you for contacting HomeBox! In Order for us to help you, please describe your query in detail.           06:05 PM, 05th Jul                   New                   If you are contacting us about an existing order, please share with us your Order number or Invoice number while explaining your query.            06:05 PM, 05th Jul                     AJ                    Good evening           06:05 PM, 05th Jul                     AJ                    Till now nothing           06:05 PM, 05th Jul                     AJ                    Yesterday same story           06:06 PM, 05th Jul                     AJ                    Really this is too bad           06:06 PM, 05th Jul                   New                   We are experiencing high volume of incoming messages. Please make sure you've described your query in detail. Please be sure to include your Order Number/Invoice number or details of the item you are inquiring about.            06:07 PM, 05th Jul                   New                   If you have any pictures that you would like to share, please do that.            06:07 PM, 05th Jul                   New                   We will respond to your query in just a few minutes. Please accept our apologies for the delay. Thank you for your patience           06:07 PM, 05th Jul                   Alhamzi                   We apologies you have to go through this with us. This is not the experience we want our customer to have. Rest assured that we are doing the needful to sort this issue real quick.  We request you to allow us some more time.   Thank you for your understanding and cooperation.           06:10 PM, 05th Jul                   Alhamzi                   Please contact you if you did not get your order within 24 hours and we will help you in the best way.   We hope this helps and please do not hesitate to write back to us if you need further assistance. We will be happy to help!           06:10 PM, 05th Jul                   Alhamzi                   Do you have any other inquiries that we can help with?           06:10 PM, 05th Jul                     AJ                    Same nonsense you told me yesterday           06:13 PM, 05th Jul                     AJ                    And same thing you will tell me tomorrow           06:13 PM, 05th Jul                     AJ                    Some standardized answer           06:13 PM, 05th Jul                     AJ                    Very bad service and delivery           06:13 PM, 05th Jul                     AJ                    Poor poor poor           06:13 PM, 05th Jul                     AJ                    Can u see this           06:15 PM, 05th Jul                   Alhamzi                   Sorry for this has happened with you. surely this is not the experience we wants our customer to have.  Kindly note that we have escalated this issue to the concern team for this not to happen again.     Thank you for you understanding and cooperation           06:15 PM, 05th Jul                     AJ                    Same excuse again today           06:15 PM, 05th Jul                     AJ                    I cannot understand and cannot co operate with such nonsense           06:15 PM, 05th Jul                   Alhamzi                   Please confirm if the following phone number is correct: 971507607356           06:15 PM, 05th Jul                     AJ                    Yes you are messaging me on this number           06:16 PM, 05th Jul                     AJ                    No one called I'm waiting since Sunday           06:16 PM, 05th Jul                   Alhamzi                   I can see that delivery of this order has taken longer than our normal delivery time, and I am really very sorry for this delay. I know that you’ve been waiting for it.  We have forwarded your issue to our concern team. Our team is working on it. Once we will get any update we will get back to you.  Our courier partner will contact you to arrange a time for delivery. It should be with you soon.  Again, please accept our sincere apologies for this unexpected delay.           06:16 PM, 05th Jul                   Alhamzi                   Do you have any other inquiries that we can help with?           06:16 PM, 05th Jul                     AJ                    Send me the driver number           06:16 PM, 05th Jul                   Alhamzi                   we apologies as we do not have the number of the agents on ground           06:22 PM, 05th Jul                   Alhamzi                   our team will conact you ASAP           06:22 PM, 05th Jul                   Alhamzi                   It was a pleasure to assist you. Thank you for shopping with us.  Have a wonderful day.           06:24 PM, 05th Jul                                          View conversation in Freshchat https://landmarkgroupservice.freshdesk.com/helpdesk/tickets/4587410